package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.print;

import cn.estsh.i3plus.ext.mes.pojo.model.MesProduceSnPrintModel;
import cn.estsh.i3plus.pojo.mes.bean.MesNumberRule;
import cn.estsh.i3plus.pojo.mes.bean.shipping.MesLoadingList;
import cn.estsh.i3plus.pojo.mes.bean.shipping.MesShippingOrderManagement;
import cn.estsh.i3plus.pojo.mes.model.GenSerialNoModel;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 根据不同的条码,封装不同的数据来源  content 是打印模板，dataList
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2024/6/6 16:39
 * @Modify:
 **/
public interface IPrintTemplateStrategyService {

    /**
     * GenSerialNoModel 生成条码的规则
     * mesProduceSnPrintModel 需要的数据
     * @param model
     * @param mesProduceSnPrintModel
     * @return
     */
    default MesProduceSnPrintModel execute(GenSerialNoModel model, MesProduceSnPrintModel mesProduceSnPrintModel, MesNumberRule numberRule) {return mesProduceSnPrintModel; }

    @ApiOperation(value = "发运单")
    default ResultBean execute(String organizeCode, String userName, List<MesShippingOrderManagement> shippingOrderManagementList) {
        return null;
    }

    @ApiOperation(value = "装车单")
    default ResultBean execute(List<MesLoadingList> loadingLists, boolean reprint) {
        return null;
    }
}
